#include "IPersistData.h"
#include <qlineedit.h>

class CPersistLineEditCaps : public IPersistData
{
private:
  QLineEdit *m_LineEdit;
public:
  CPersistLineEditCaps(QLineEdit *q) : IPersistData()
    {
      m_LineEdit=q;
    }

  void load(istream& s)
    {
      char    c;
      QString str;
      
      s >> c;
      if (c != '"')
	throw CException("CPersistLineEditCaps: syntax error");
      while (1)
      {
	if (s.eof())
	  throw CException("CPersistLineEditCaps: syntax error");
	c=s.get();
	if (c == '"')
	  break;
	str.insert(str.length(),c);
      }
      m_LineEdit->setText(str);
    }
  
  void save(ostream& s)
    {
      s << '"' << (m_LineEdit->text().latin1()) << '"';
    }
  
  void failed()
    {

    }
};
