#include "IPersistData.h"
#include "CPersistPropertiesCaps.h"
#include <qlistbox.h>

class CPersistListBoxCaps : public IPersistData
{
private:
  QListBox *m_ListBox;
public:
  CPersistListBoxCaps(QListBox *q) : IPersistData()
    {
      m_ListBox=q;
    }

  void load(istream& s)
    {
      int         i,n;
      static char str[512]; // TODO: securiser
      
      s >> n;
      for (i=0;i<n;i++)
      {
	CPersistPropertiesCaps::stringFromStream(s,str);
	m_ListBox->insertItem(QString(str));
      }
    }
  
  void save(ostream& s)
    {
      int i;
      
      s << m_ListBox->count() << ' ';
      for (i=0;i<m_ListBox->count();i++)
      {
	CPersistPropertiesCaps::stringToStream(s,m_ListBox->item(i)->text());
	s << ' ';
      }
    }
  
  void failed()
    {

    }
};
