#ifndef INC_CalcLexer_hpp_
#define INC_CalcLexer_hpp_

#line 2 "calc.g"

#include <cmath>
#include <map>
#include <string>
class CMobile;
#include "atr_nfo.h"

#line 13 "CalcLexer.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.3rc2: "calc.g" -> "CalcLexer.hpp"$ */
#include <antlr/CommonToken.hpp>
#include <antlr/InputBuffer.hpp>
#include <antlr/BitSet.hpp>
#include "CalcWalkerTokenTypes.hpp"
#include <antlr/CharScanner.hpp>
class CUSTOM_API CalcLexer : public ANTLR_USE_NAMESPACE(antlr)CharScanner, public CalcWalkerTokenTypes
{
#line 1 "calc.g"
#line 24 "CalcLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const
	{
		return true;
	}
public:
	CalcLexer(ANTLR_USE_NAMESPACE(std)istream& in);
	CalcLexer(ANTLR_USE_NAMESPACE(antlr)InputBuffer& ib);
	CalcLexer(const ANTLR_USE_NAMESPACE(antlr)LexerSharedInputState& state);
	ANTLR_USE_NAMESPACE(antlr)RefToken nextToken();
	public: void mCOMMENT(bool _createToken);
	protected: void mDIGITS(bool _createToken);
	public: void mINT(bool _createToken);
	public: void mNEWLINE(bool _createToken);
	public: void mLPAREN(bool _createToken);
	public: void mRPAREN(bool _createToken);
	public: void mSTAR(bool _createToken);
	public: void mDIV(bool _createToken);
	public: void mPLUS(bool _createToken);
	public: void mMINUS(bool _createToken);
	public: void mSEMI(bool _createToken);
	public: void mCOLON(bool _createToken);
	public: void mCOMMA(bool _createToken);
	public: void mAT(bool _createToken);
	public: void mEQUAL(bool _createToken);
	public: void mGREATER(bool _createToken);
	public: void mLESS(bool _createToken);
	public: void mGEQ(bool _createToken);
	public: void mLEQ(bool _createToken);
	public: void mNEQ(bool _createToken);
	protected: void mLETTER(bool _createToken);
	protected: void mATTRIBUTES(bool _createToken);
	protected: void mSYNONYMS(bool _createToken);
	protected: void mFRENCH_VOCAB(bool _createToken);
	public: void mID(bool _createToken);
	public: void mWS_(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_2;
	static const unsigned long _tokenSet_3_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_3;
	static const unsigned long _tokenSet_4_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_4;
	static const unsigned long _tokenSet_5_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_5;
	static const unsigned long _tokenSet_6_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_6;
	static const unsigned long _tokenSet_7_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_7;
	static const unsigned long _tokenSet_8_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_8;
	static const unsigned long _tokenSet_9_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_9;
};

#endif /*INC_CalcLexer_hpp_*/
