//-----------------------------------------------------------------------
#include "IGhostMaster.h"
#include "INetworkGame.h"
//-----------------------------------------------------------------------
IGhostMaster::IGhostMaster() 
{
  m_iGhostMasterId=-1;
  m_iGhostMasterType=-1;
  m_bNeedUpdate=false;
  m_iUpdateMode=NTWRK_FAST;
}
//-----------------------------------------------------------------------

IGhostMaster::~IGhostMaster()
{
  if (m_Ng != NULL && isMaster())
    m_Ng->unregisterGhostMaster(this);
}
//-----------------------------------------------------------------------
 void IGhostMaster::setNetworkGame(INetworkGame *ng)
{
  m_Ng=ng;
}
//-----------------------------------------------------------------------
void IGhostMaster::sendMessageToGhost(int w,int t,
				      const unsigned char *d,int l)
{
  m_Ng->masterToGhost(this,w,t,d,l);
}
//-----------------------------------------------------------------------
void IGhostMaster::sendMessageToGhosts(int t,
				       const unsigned char *d,int l)
{
  m_Ng->masterToGhosts(this,t,d,l);
}
//-----------------------------------------------------------------------
// ---------------------------------------------------------- 
// Sylvain Lefebvre - (c) 2002 - Sylvain.Lefebvre@laposte.net
// ----------------------------------------------------------
